package org.foxarmy.barcodescannerforemployees.activities

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.widget.LinearLayout
import androidx.appcompat.app.AppCompatActivity
import androidx.core.content.ContextCompat
import org.foxarmy.barcodescannerforemployees.DBStorageController
import org.foxarmy.barcodescannerforemployees.R
import org.foxarmy.barcodescannerforemployees.databinding.ActivityExpiryCalendarBinding
import org.foxarmy.barcodescannerforemployees.views.ExpiryGroupView

class ExpiryCalendarActivity : AppCompatActivity() {
    private lateinit var binding: ActivityExpiryCalendarBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        setContentView(R.layout.fragment_expiry_dates)

        fillUp()
    }

    fun displayDate(date:Long) {
        val expiryCalendarGroupActivityIntent = Intent(this, ExpiryCalendarGroupActivity::class.java)
        val extras = Bundle()
        extras.putLong("date", date)
        expiryCalendarGroupActivityIntent.putExtras(extras)
        ContextCompat.startActivity(this, expiryCalendarGroupActivityIntent, extras)
    }

    private fun fillUp() {
        val dates = DBStorageController(this).findAllExpiryDates(DBStorageController(this).readableDatabase)

        val container = findViewById<LinearLayout>(R.id.datesLinearLayout)

        dates.forEach { date ->
            val newDate = ExpiryGroupView(this, this as Context, date)
            container.addView(newDate)
        }
    }
}